解决WordPress无法升级插件遇到的权限问题

从WordPress升级至5.3正式版本之后,不少网友反馈到几个对象存储无法使用,于是老蒋让老赵同学更新插件,因为从WP5.3开始更换图片处理逻辑(WordPress 5.3调整图片处理方式 会影响部分存储插件)。于是让修改之后我也本地调试没有问题后丢到WordPress官方仓库提供网友更新,但是有网友反馈到在升级插件时候有错误。

更新失败:因为我们不能复制一些文件,升级未被安装。这通常是因为存在不一致的文件权限。

解决WordPress无法升级插件遇到的权限问题

出现这个问题应该是我们在安装插件的时候并非直接下载安装的,而是FTP上传安装的,这样导致文件权限不够。因为最近我们发现国内的网友无法连接WordPress官方网站,当然国内的主机是无法直接安装插件的,所以,我们需要用到手工下载安装。

于是在这样处理问题的时候,会遇到各种权限问题,我们需要给目录授权,然后再去升级插件或者我们直接手动上传新的插件。

这样我们可以看到已经完毕,主要在于权限问题,我们需要给目录授权,这个根据我们所在的环境WEB提供的授权可写入。

本文出处:老蒋部落 » 解决WordPress无法升级插件遇到的权限问题 | 欢迎分享( 公众号:站长事儿 )